# Uses of Interface
org.eclipse.emf.cdo.lm.modules.ModulesFactory

Packages that use ModulesFactory
Package
Description
org.eclipse.emf.cdo.lm.modules
The generated EMF API of the CDO Lifecycle Management Modules model.
org.eclipse.emf.cdo.lm.modules.impl
The generated EMF implementation of the CDO Lifecycle Management Modules model.

## Uses of ModulesFactory in org.eclipse.emf.cdo.lm.modules

Fields in org.eclipse.emf.cdo.lm.modules declared as ModulesFactory
Modifier and Type
Field
Description
`static final ModulesFactory`
ModulesFactory.`eINSTANCE`
The singleton instance of the factory.
Methods in org.eclipse.emf.cdo.lm.modules that return ModulesFactory
Modifier and Type
Method
Description
`ModulesFactory`
ModulesPackage.`getModulesFactory()`
Returns the factory that creates the instances of the model.

## Uses of ModulesFactory in org.eclipse.emf.cdo.lm.modules.impl

Classes in org.eclipse.emf.cdo.lm.modules.impl that implement ModulesFactory
Modifier and Type
Class
Description
`class`
`ModulesFactoryImpl`
An implementation of the model Factory.
Methods in org.eclipse.emf.cdo.lm.modules.impl that return ModulesFactory
Modifier and Type
Method
Description
`ModulesFactory`
ModulesPackageImpl.`getModulesFactory()`
`static ModulesFactory`
ModulesFactoryImpl.`init()`
Creates the default factory implementation.